Title: Hébergement de Wordpress

## Qu’est-ce que wordpress
[Wordpress](https://wordpress.org) est un système de gestion de
contenu très performant, sous licence libre, très utilisé et
très renommé auprès des néophytes en informatique qui veulent
publier leur site internet.

Il s’agit bien d’une application web (c’est à dire un site internet
avec plein de fonctionnalités) conçu pour créer votre site à vous !

Nous hébergeons cet outil chez Jean-Cloud pour vous permettre de publier
votre site web. Avec une petite particularité.

## Wordpress chez Jean-Cloud

Victime de son succès, Wordpress est sujet à de très nombreuses cyberattaques.
Pour pallier ce problème, une stratégie très utilisée consiste à garder
le site wordpress inaccessible au public, protégé par un mot de passe.

Mais si il est innaccessible, personne ne peut voir ce site ?

C’est vrai, mais nous allons copier ce site internet caché vers un lieu
accessible au public. Seule cette copie sera exposée aux pirates, auxquels elle
est bien plus résistante !

Voici un shéma explicatif :
![Schéma de l’hébergement wordpress sur Jean-Cloud]({static}/static/img/schema-wordpress.svg "Shéma Wordpress")


## Comment l’utiliser concrètement ?




Le site est à l’adresse

    rotonde.asso-insa-lyon.fr pour le public
    rotonde.asso-insa-lyon.fr/wordpress pour la cgr
    rotonde.asso-insa-lyon.fr/wordpress/wp-admin pour aller sur le tableau de bord (et modifier le site)

S’identifier

Il fait s’identifier deux fois avec le même mot de passe… C’est chiant mais c’est standard… Et on peut dire à son navigateur de sauvegarder les mots de passes

L’identifiant est cgr, le mot de passe doit en théorie suivre le format habituel.

Changer le mot de passe de l’utilisateur cgr dans le wordpress change aussi le mot de passe de protection du site.
Modifier le site internet

Il faut aller sur le tableau de bord et bidouiller ce que l’on veut. C’est censé être intuitif mais en vrai on n’a pas tous la même intuition. Mieux vaut demander à des amis d’expliquer comment ça fonctionne ou aller chercher des tutos sur internet :)

Le guide officiel de wordpress

Les modifications sont visibles sur le site privé, à l’adresse rotonde.asso-insa-lyon.fr/wordpress mais pas encore pour le public !
Publier le site internet

Une fois le worpress modifié, il faut le publier. On va pour cela cliquer sur le menu « WP2Static ».
Le menu pour publier le site

Puis il faut cliquer sur « Start static site export »
Le bouton qui va publier le site

Et c’est tout ! Si il y a une erreur, il faut essayer de la comprendre… Ou contacter Jean-Cloud ;)
